# MYSTIC BBS A38 LOGS LOADERS
import sqlite3
import sys

#################################
# CHANGE PATH TO YOUR BBS      #
################################
mbbs_logs_dir="/u01/bbs/logs"
###############################
mbbs_log_repo=mbbs_logs_dir+"/mbbs_logs.db"

sql_insert_row = """ INSERT INTO fidopoll (event_date, event) VALUES (
                                        ?,
                                        ?
                                    ); """
if (len(sys.argv)<=1):
  print ("First argument must be MUTIL filename")
  sys.exit(2)

mbbs_log_src=mbbs_logs_dir+"/"+str(sys.argv[1])

with open(mbbs_log_src) as f:
  lines = f.read().split('\n')

try:
  conn=sqlite3.connect(mbbs_log_repo)
except Error as e:
  print(e)
with conn:
  c = conn.cursor()
  for l in lines:
    if len(l)>=16:
      c.execute(sql_insert_row,(buffer(l[0:15]),buffer(l[16:])))  

conn.close()
